function y=somb(x)
% SOMB
%
%	y = somb(x) returns 
%			y = 2*J1(pi*x)/(pi*x)  if x ~= 0
%			  = 1                  if x == 0
%		where x is a matrix of input values

%	Author:  John S. Loomis  (6 March 2000)

x = pi*abs(x);
s = size(x);
y = ones(s);
i = find(x);
y(i) = 2.0*besselj(1,x(i))./x(i);